#!/usr/bin/env python

from distutils.core import setup
import platform


if platform.system() == 'Linux':
    doc_dir = '/usr/share/doc/grotesque-0.9.3'
else:
    try:
        from win32com.shell import shellcon, shell
        homedir = shell.SHGetFolderPath(0, shellcon.CSIDL_APPDATA, 0, 0)
        appdir = 'Grotesque'
        doc_dir = os.path.join(homedir, appdir)
    except:
        pass


setup(name='grotesque',
      version='0.9.3',
      description='A library utility for interactive fiction',
      author='Brandon Invergo',
      author_email='b.invergo@gmail.com',
      url='http://grotesque.sourceforge.net/',
      packages=['grotesque', 'treatyofbabel', 'thirdparty'],
      package_dir={'grotesque': 'src/grotesque',
                   'treatyofbabel': 'src/treatyofbabel',
                   'thirdparty': 'src/thirdparty'},
      package_data={'grotesque': ['data/*']},
      requires=['gi.repository.Gtk (>3.0)'],
      scripts=['grotesque'],
      data_files=[(doc_dir, ['COPYING', 'README'])],
      classifiers=[
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Development Status :: 4 - beta',
        'Programming Language :: Python',
        'Programming Language :: Python :: 2.7',
        'Operating System :: OS Independent',
        'Intended Audience :: End Users/Desktop',
        'Topic :: Games/Entertainment'],
     )
